/*
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at https://mozilla.org/MPL/2.0/.
 */

#include "ExeAppendedZipResourceLoader.hpp"
#include "Base/Logger.hpp"
#include "IO/Archive/ArchiveReader.hpp"
#include "Base/Utils.hpp"
#include <filesystem>
#include <fstream>

namespace OpenVulkano
{
	Array<char> ExeAppendedZipResourceLoader::GetResource(const std::string& resourceName)
	{
		ArchiveReader reader(GetCurrentExecutablePath(), nullptr, ArchiveType::ZIP);
		if (auto data = reader.GetFile(resourceName))
		{
			return data->second;
		}
		return {};
	}

}